Page 4 of 10 FirstFirst ... 23456 ... LastLast
Results 31 to 40 of 96

Thread: slapt-get

  1. #31
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default

    Quote Originally Posted by Trigger911 View Post
    I've got a question I need some library's off the Slackware dvd i downloaded to compile some apps I need to compile. I'm pretty new but can I setup slapt-get to search my dvd for these library because the site don't carry allot of the packages on the cd/dvd

    This is what I tried
    Code:
    WORKINGDIR=/var/slapt-get
    EXCLUDE=^kernel-.*
    
    SOURCE=http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/
    SOURCE=ftp://mirrors.blueyonder.co.uk/sites/ftp.slackware.com/slackware-current
    #Tryed this to get packages off the DVD-Rom drive
    SOURCE=mnt/cdrom/
    SOURCE=file:///mnt/cdrom/


    If you look in the slapt-get faq usually in:
    Code:
     /usr/doc/ slapt-get version number/FAQ
    you will find info about sources that can be used. Also check:
    Code:
     /usr/doc/slapt-get-0.9.12a/example.slapt-getrc
    for more info on valid sources YES you can use a dvd/cd/local file as the source if you so choose.

    In your slapt-getrc file you would edit the source list to point to your file and comment the other sources out so that it will pull from the local file only.

    Just remember that in Slackware/BT the dependencies are not installed for you,you must do this manually and it must be done first.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  2. #32
    Developer
    Join Date
    Mar 2007
    Posts
    6,124

    Default

    Your right to a extent however /mnt/dvd as a source will not really work in his situation unless he was only after a .tgz file or some other archive. Once a makeinstall is done the files could be in any number of places.

  3. #33
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default

    Quote Originally Posted by pureh@te View Post
    Your right to a extent however /mnt/dvd as a source will not really work in his situation unless he was only after a .tgz file or some other archive. Once a makeinstall is done the files could be in any number of places.
    True True
    I was thinking along the lines of someone doing some type of company wide upgrade or something and wanted to use a local server as the source or maybe a home user using another computer as the source through samba or some weird stuff like that.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  4. #34
    Just burned his ISO
    Join Date
    Jan 2010
    Posts
    2

    Default

    Hello
    I have problem with keys:/
    When i write:
    slapt-get --add-keys
    RetrievingGPG key xxx.slackware.pl/pub/slackware/slackware-current/]...Cached
    GPGME: Invalid crypto engine
    GPG key could not be imported.
    Please help

  5. #35
    Developer
    Join Date
    Mar 2007
    Posts
    6,124

    Default

    If you would have bothered to read the whole thread you would know the answer to your issue.

  6. #36
    Member imported_rokrmc's Avatar
    Join Date
    Aug 2007
    Posts
    155

    Default

    I have this problem,how to fix it...thanks.......

    Code:
    bt ~ # slapt-get --upgrade
    Reading Package Lists... Done
    Excluding amarok, use --ignore-dep to override
    Excluding gnupg2, use --ignore-dep to override
    Excluding libextractor, use --ignore-dep to override
    Excluding ruby, use --ignore-dep to override
    Excluding sox, use --ignore-dep to override
    Excluding vlc, use --ignore-dep to override
    The following packages have unmet dependencies:
      amarok: Depends: libkarma >= 0.1.0-i486-1
      gnupg2: Depends: pth >= 2.0.7-i486-1
      libextractor: Depends: libtool >= 1.5.24-i486-1
      ruby: Depends:   db44 >= 4.4.20-i486-2
      sox: Depends: libtool >= 1.5.24-i486-1
      vlc: Depends: aalib >= 1.4rc5-i486-2
    The following packages have been EXCLUDED:
      alsa-lib alsa-oss alsa-utils amarok gnupg2 libextractor ruby sox vlc
    The following NEW packages will be installed:
      libmowgli libdvdcss libdvdread libmpcdec sqlite libmikmod
    The following packages will be upgraded:
      audacious cdrdao flash-player-plugin flex fuse graphviz slapt-get gslapt
      id3lib jre k3b k3b-i18n kplayer libsigc++ mono mozilla-firefox-en-us
      ndiswrapper ntfs-3g parted postgresql psyco pycairo pygtk pysqlite
      recordmydesktop rrdtool smb4k wine xchat xmms
    30 upgraded, 6 newly installed, 0 to remove and 9 not upgraded.
    Need to get 68.2MB/135.0MB of archives.
    After unpacking 67.5MB of additional disk space will be used.
    Do you want to continue? [y/N] y
    Get http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/ libsigc++ 2.0.18-i686-1as [0.0kB]Get http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/ libsigc++ 2.0.18-i686-1as [1.8MB]...Done
    Failed to download: Missing MD5 checksum, override with --no-md5

  7. #37
    Member imported_rokrmc's Avatar
    Join Date
    Aug 2007
    Posts
    155

    Default

    Now i fix it...

    Code:
    slapt-get --upgrade --no-md5

  8. #38
    Just burned his ISO Sigurd's Avatar
    Join Date
    Jan 2010
    Posts
    16

    Default

    Quote Originally Posted by RageLtMan View Post
    i have a fresh install, updated slapt-get, reinstalled gslapt, and got this:

    gslapt: symbol lookup error: gslapt: undefined symbol: slapt_init_source_list

    ...huh? anyone know what this is all about?

    Does anyone know the fix for this. i have removed gslapt several times and reinstalled it from slapt and also i have tried to install it from the modules pages on slax's page.

    I have also Googled the error with no results.

    still when i start it from the terminal gives me the error above.

    If i am missing some thing in the thread that is the fix i apologize in advance, i have been know to miss something that i am staring right at.

  9. #39
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default

    Quote Originally Posted by Sigurd View Post
    Does anyone know the fix for this. i have removed gslapt several times and reinstalled it from slapt and also i have tried to install it from the modules pages on slax's page
    I have also Googled the error with no results.
    still when i start it from the terminal gives me the error above.
    If i am missing some thing in the thread that is the fix i apologize in advance, i have been know to miss something that i am staring right at.
    What are you doing when this happens? are you typing "gslapt" from the command line or what?

    If so then you should see that the slapt-get gui pops up onto your computer allowing you to download packages.

    Or are you using at the command line "slapt-get" ??
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  10. #40
    Just burned his ISO Sigurd's Avatar
    Join Date
    Jan 2010
    Posts
    16

    Default

    I am typing gslapt at the command prompt. Once gslapt comes up and i try to run update it run for a few and then it will crash with the message in the command prompt "gslapt: symbol lookup error: gslapt: undefined symbol: slapt_init_source_list"

Page 4 of 10 FirstFirst ... 23456 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •